CVE-2018-7440

Published: 23 February 2018

An issue was discovered in Leptonica through 1.75.3. The gplotMakeOutput function allows command injection via a $(command) approach in the gplot rootname argument. This issue exists because of an incomplete fix for CVE-2018-3836.

Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
leptonlib
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1.75.3-3)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.75.3-3)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1.75.3-3)
Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needs-triage)
Ubuntu 14.04 ESM (Trusty Tahr) Needs triage